import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.net.*;
import java.applet.*;
import java.util.*;


class drawboard extends Applet {
    /** The pieces **/
    Image piece_b;
    Image piece_w;
    Image piece_bB;
    Image piece_bK;
    Image piece_bN;
    Image piece_bP;
    Image piece_bQ;
    Image piece_bR;
    Image piece_bb;
    Image piece_bk;
    Image piece_bn;
    Image piece_bp;
    Image piece_bq;
    Image piece_br;
    Image piece_wB;
    Image piece_wK;
    Image piece_wN;
    Image piece_wP;
    Image piece_wQ;
    Image piece_wR;
    Image piece_wb;
    Image piece_wk;
    Image piece_wn;
    Image piece_wp;
    Image piece_wq;
    Image piece_wr;

    /** Size of pieces **/
    int size=22;

    public drawboard(Applet a){

	piece_b = getImage(a.getCodeBase(), "small/b.png");
	piece_w = getImage(a.getCodeBase(), "small/w.png");
	piece_bB = getImage(a.getCodeBase(), "small/bB.png");
	piece_bK = getImage(a.getCodeBase(), "small/bK.png");
	piece_bN = getImage(a.getCodeBase(), "small/bN.png");
	piece_bP = getImage(a.getCodeBase(), "small/bP.png");
	piece_bQ = getImage(a.getCodeBase(), "small/bQ.png");
	piece_bR = getImage(a.getCodeBase(), "small/bR.png");
	piece_bb = getImage(a.getCodeBase(), "small/bb.png");
	piece_bk = getImage(a.getCodeBase(), "small/bk.png");
	piece_bn = getImage(a.getCodeBase(), "small/bn.png");
	piece_bp = getImage(a.getCodeBase(), "small/bp.png");
	piece_bq = getImage(a.getCodeBase(), "small/bq.png");
	piece_br = getImage(a.getCodeBase(), "small/br.png");
	piece_wB = getImage(a.getCodeBase(), "small/wB.png");
	piece_wK = getImage(a.getCodeBase(), "small/wK.png");
	piece_wN = getImage(a.getCodeBase(), "small/wN.png");
	piece_wP = getImage(a.getCodeBase(), "small/wP.png");
	piece_wQ = getImage(a.getCodeBase(), "small/wQ.png");
	piece_wR = getImage(a.getCodeBase(), "small/wR.png");
	piece_wb = getImage(a.getCodeBase(), "small/wb.png");
	piece_wk = getImage(a.getCodeBase(), "small/wk.png");
	piece_wn = getImage(a.getCodeBase(), "small/wn.png");
	piece_wp = getImage(a.getCodeBase(), "small/wp.png");
	piece_wq = getImage(a.getCodeBase(), "small/wq.png");
	piece_wr = getImage(a.getCodeBase(), "small/wr.png");
    }


    void draw(Graphics g, char[] board, int board_x, int board_y){
	if(board.length != 64) return;
	for(int y=0;y<8;y++){
	    for(int x=0;x<8;x++){
		switch(board[y*8+x]){
		case 'p': drawPiece(g,piece_wp,piece_bp,x*size+board_x,y*size+board_y,x+y); break;
		case 'b': drawPiece(g,piece_wb,piece_bb,x*size+board_x,y*size+board_y,x+y); break;
		case 'n': drawPiece(g,piece_wn,piece_bn,x*size+board_x,y*size+board_y,x+y); break;
		case 'r': drawPiece(g,piece_wr,piece_br,x*size+board_x,y*size+board_y,x+y); break;
		case 'q': drawPiece(g,piece_wq,piece_bq,x*size+board_x,y*size+board_y,x+y); break;
		case 'k': drawPiece(g,piece_wk,piece_bk,x*size+board_x,y*size+board_y,x+y); break;
		case 'P': drawPiece(g,piece_wP,piece_bP,x*size+board_x,y*size+board_y,x+y); break;
		case 'B': drawPiece(g,piece_wB,piece_bB,x*size+board_x,y*size+board_y,x+y); break;
		case 'N': drawPiece(g,piece_wN,piece_bN,x*size+board_x,y*size+board_y,x+y); break;
		case 'R': drawPiece(g,piece_wR,piece_bR,x*size+board_x,y*size+board_y,x+y); break;
		case 'Q': drawPiece(g,piece_wQ,piece_bQ,x*size+board_x,y*size+board_y,x+y); break;
		case 'K': drawPiece(g,piece_wK,piece_bK,x*size+board_x,y*size+board_y,x+y); break;

		default: drawPiece(g,piece_w,piece_b,x*size+board_x,y*size+board_y,x+y); break;
		}
	    }
	}
    }

    void drawPiece(Graphics g, Image piece_w, Image piece_b, int x, int y,int s){
	if(s%2==0)
	    g.drawImage(piece_w, x, y, this);
	else
	    g.drawImage(piece_b, x, y, this);
    }

}


